#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	json
#-----------------------------------------------------------------------------
Name		:	jsoncpp
Version		:	1.9.5
Release		:	17.0.10.rel%{?dist}
Summary		:	JSON library implemented in C++
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/open-source-parsers/jsoncpp

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake	
BuildRequires	:	gcc	
BuildRequires	:	gcc-c++	
BuildRequires	:	python3
#-----------------------------------------------------------------------------
%description
'%{name}' is an implementation of a JSON (http://json.org) reader and
writer in C++. JSON (JavaScript Object Notation) is a lightweight
data-interchange format. It is easy for humans to read and write. It
is easy for machines to parse and generate.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README.md
%{_libdir}/lib%{name}.so.1.9.5
%{_libdir}/lib%{name}.so.25

#=============================================================================
%package		devel
Summary		:	Development headers and library for %{name}
	
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains the development headers and
library for %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{sname}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/%{name}*.cmake
 
#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-S .						\
	-B _build					\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D BUILD_STATIC_LIBS:BOOL=OFF			\
	-D BUILD_OBJECT_LIBS:BOOL=OFF			\
	-D JSONCPP_WITH_CMAKE_PACKAGE:BOOL=ON		\
	-D JSONCPP_WITH_EXAMPLE:BOOL=OFF		\
	-D JSONCPP_WITH_PKGCONFIG_SUPPORT:BOOL=ON	\
	-D JSONCPP_WITH_POST_BUILD_UNITTEST:BOOL=OFF	\
	-D JSONCPP_WITH_STRICT_ISO:BOOL=ON		\
	-D JSONCPP_WITH_TESTS:BOOL=ON			\
	-D JSONCPP_WITH_WARNING_AS_ERROR:BOOL=OFF	\
	-D PYTHON_EXECUTABLE:STRING="%{__python3}"



%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} 							\
	-C _build						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	-C _build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%changelog
